--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: full_name
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: index
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: source_index
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: FastRI::RiIndex::MethodEntry
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: instance_method?
- !ruby/object:RI::MethodSummary 
  name: path_name
- !ruby/object:RI::MethodSummary 
  name: singleton_method?
- !ruby/object:RI::MethodSummary 
  name: type
name: MethodEntry
superclass: Object
